Bug 682152 - [zh_HK] firefox not translated in zh_HK environment
[zh_HK] firefox not translated in zh_HK environment
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jonathan Blandford
Fedora Extras Quality Assurance
: i18n, MoveUpstream, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-04 05:22 EST by He Rui
Modified: 2013-04-02 00:25 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-26 03:00:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description He Rui 2011-03-04 05:22:09 EST
Description of problem:
On fresh installed F15 system, select zh_HK language for both system and user language, traditional chinese support was also installed, relogin to the system, firefox still displayed English fonts.

Version-Release number of selected component (if applicable):
firefox-4.0-0.18.b12.fc15.x86_64
F15-alpha with updates in updates-testing

How reproducible:
100%

Steps to Reproduce:
1. On F15 system with all updates in updates-testing
2. groupinstall traditional chinese support and change language to Chinese(HK) by system-config-language and user account
3. relogin and launch firefox
  
Actual results:
firefox is not translated to traditional Chinese
Comment 1 Christopher Aillon 2011-03-04 16:14:27 EST
Possibly a regression from the omni.jar stuff.  Did this work in the alpha?
Comment 2 Jens Petersen 2011-04-28 01:33:34 EDT
Still happening with current F15, but note that firefox-3.6 in F14
also doesn't have zh_HK langpack and is not translated either.
So this is not a regression but something that needs to be addressed
upstream.

Is it possible for zh_HK to fallback to the zh_TW langpack?
Comment 4 Parag Nemade 2012-07-26 03:00:52 EDT
I saw that when firefox on f17 started in zh_HK, langpack used is zh_TW.
Comment 5 Martin Stransky 2012-07-26 03:05:23 EDT
Yes, the fix went out with FF17. Please file a bug if the langpack assignment is wrong.

Note You need to log in before you can comment on or make changes to this bug.